# FeedChannelWorker Interface Reference
[Feed's parsers]

Inheritance diagram for FeedChannelWorker:
[legend]

List of all members.

## Public Member Functions

| makeChannel (SimpleXMLElement $xmlFeed)
| toXml (FeedChannel $channel, $itemsXml)

## Detailed Description

Definition at line 15 of file FeedChannelWorker.class.php.

## Member Function Documentation

FeedChannelWorker::makeChannel | ( | SimpleXMLElement $ | xmlFeed | ) |

Implemented in AtomChannelWorker, and RssChannelWorker.

FeedChannelWorker::toXml | ( | FeedChannel $ | channel,
|  | $ | itemsXml |
| ) |  |  |

Implemented in AtomChannelWorker, and RssChannelWorker.

The documentation for this interface was generated from the following file:

- main/Markup/Feed/FeedChannelWorker.class.php